aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64
diff options
context:
space:
mode:
authorTony Sarajärvi <tony.sarajarvi@qt.io>2017-12-29 10:22:08 +0200
committerTony Sarajärvi <tony.sarajarvi@qt.io>2018-01-02 12:52:35 +0000
commit4fb893fcf8ef55ff3ebbdf684c4d1cfab913cea0 (patch)
tree64a257a3974b7a116dde5ba2fc124f4c12e162c8 /coin/provisioning/qtci-linux-openSUSE-42.3-x86_64
parentb9aae857f9e2dbcc444a099a8345dc8ac31ff47e (diff)
Set up proxy for provisioning scripts
Task-number: QTQAINFRA-1669 Change-Id: I582dc5037bd2b46dcd5c9c3b2cb13784e122d6a5 Reviewed-by: Simo Fält <simo.falt@qt.io>
Diffstat (limited to 'coin/provisioning/qtci-linux-openSUSE-42.3-x86_64')
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-42.3-x86_64/01-systemsetup.sh6
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-42.3-x86_64/99-unset-proxy.sh39
2 files changed, 45 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/01-systemsetup.sh b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/01-systemsetup.sh
index e5da6fe7..eeb98b70 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/01-systemsetup.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/01-systemsetup.sh
@@ -4,6 +4,7 @@ set -ex
BASEDIR=$(dirname "$0")
source $BASEDIR/../common/network_test_server_ip.txt
+source "${BASH_SOURCE%/*}/../common/check_and_set_proxy.sh"
sed -i '$ a\[Daemon\]\nAutolock=false\nLockOnResume=false' ~/.config/kscreenlockerrc
@@ -12,3 +13,8 @@ echo "$network_test_server_ip qt-test-server qt-test-server.qt-test-net" | su
echo "Set DISPLAY"
echo 'export DISPLAY=":0"' >> ~/.bashrc
+if [ "$proxy" != "" ]; then
+ sudo sed -i 's/PROXY_ENABLED=\"no\"/PROXY_ENABLED=\"yes\"/' /etc/sysconfig/proxy
+ sudo sed -i "s|HTTP_PROXY=\".*\"|HTTP_PROXY=\"$proxy\"|" /etc/sysconfig/proxy
+fi
+
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/99-unset-proxy.sh b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/99-unset-proxy.sh
new file mode 100755
index 00000000..5ff78055
--- /dev/null
+++ b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/99-unset-proxy.sh
@@ -0,0 +1,39 @@
+#!/usr/bin/env bash
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+# Having proxy set while running autotests makes them fail
+sudo sed -i 's/PROXY_ENABLED=\"yes\"/PROXY_ENABLED=\"no\"/' /etc/sysconfig/proxy
+